{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "bob_ordre"; 
            externalType = NUMBER; 
            name = bobOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ebr_id"; 
            externalType = NUMBER; 
            name = ebrId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ECHE_ECHEANCIER_ORDRE"; 
            externalType = NUMBER; 
            name = echeEcheancierOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (ebrId); 
    className = "org.cocktail.fwkcktlcompta.server.metier.EOEcheancierBrouillard"; 
    classProperties = (toBordereauBrouillard, toEcheancier); 
    externalName = "maracuja.echeancier_brouillard"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toBordereauBrouillard, toEcheancier); 
        "_javaClientClassName" = "org.cocktail.fwkcktlcompta.client.metier.EOEcheancierBrouillard"; 
    }; 
    name = "FwkCktlCompta_EcheancierBrouillard"; 
    primaryKeyAttributes = (ebrId); 
    relationships = (
        {
            destination = "FwkCktlCompta_BordereauBrouillard"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = bobOrdre; sourceAttribute = bobOrdre; }); 
            name = toBordereauBrouillard; 
        }, 
        {
            destination = "FwkCktlCompta_Echeancier"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = echeEcheancierOrdre; 
                    sourceAttribute = echeEcheancierOrdre; 
                }
            ); 
            name = toEcheancier; 
        }
    ); 
}
